import { Reporter, FullConfig, Suite, TestCase, TestResult, FullResult } from '@playwright/test/reporter';

declare class MidsceneReporter implements Reporter {
    mode?: 'merged' | 'separate';
    onBegin(config: FullConfig, suite: Suite): Promise<void>;
    onTestBegin(test: TestCase, _result: TestResult): void;
    onTestEnd(test: TestCase, result: TestResult): void;
    onEnd(result: FullResult): void;
}

export { MidsceneReporter as default };
